Add '*' as a valid SeaMonkey application version #74

Closed
musically-ut opened this Issue Mar 21, 2016 · 8 comments

Projects

None yet

6 participants

@musically-ut

This would allow extensions to not specify an upper bound on the browser version if they rely on a Stable API and would prevent problems like mozilla-jetpack/jpm#518

Relevant page: https://addons.mozilla.org/en-US/firefox/pages/appversions/

@kumar303
Member

@wagnerand could you take a look at this?

@wagnerand
Member

I am not sure we want this. @jvillalobos do you have an opinion on this?

@jvillalobos
Member

I don't feel strongly either way, so I'm okay adding it.

@musically-ut

Are there any cons to adding it?

@jvillalobos
Member

Developers get lazy and just set * as maxVersion without testing regularly, potentially causing stability problems for users, which we need to chase. This is a very minor problem for SeaMonkey, so I'm not concerned about it.

@eviljeff
Member

done :)

@eviljeff eviljeff closed this Jul 26, 2016
@eviljeff eviljeff removed the triaged label Jul 26, 2016
@jvillalobos
Member

Fine, but I get all the credit.

@eviljeff
Member

Fine, but I get all the credit.

I was channelling your spirit while pressing those buttons and keys.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment